POWERPROFILESCTL(1)

NAME
powerprofilesctl - Command line utility to control Power Profiles Daemon

SYNOPSIS
powerprofilesctl [-h] {list,list-holds,list-actions,get,set,configure-action,configure-battery-aware,query-battery-aware,launch,version} ...

POSITIONAL ARGUMENTS

  powerprofilesctl list
List available power profiles

usage: powerprofilesctl list [-h]

  powerprofilesctl list-holds
List current power profile holds

usage: powerprofilesctl list-holds [-h]

  powerprofilesctl list-actions
List available power profile actions

usage: powerprofilesctl list-actions [-h]

  powerprofilesctl get
Print the currently active power profile

usage: powerprofilesctl get [-h]

  powerprofilesctl set
Set the currently active power profile

usage: powerprofilesctl set [-h] {}

arguments:

    {}  Profile to use for set command

  powerprofilesctl configure-action
Configure the action to be taken for the profile

usage: powerprofilesctl configure-action [-h] [--enable] [--disable] action

arguments:

    action
        action to change for configure-action

options:

    --enable
        enable action

    --disable
        disable action

  powerprofilesctl configure-battery-aware
Turn on or off dynamic changes from battery level or power adapter

usage: powerprofilesctl configure-battery-aware [-h] [--enable] [--disable]

options:

    --enable
        enable battery aware

    --disable
        disable battery aware

  powerprofilesctl query-battery-aware
Query if dynamic changes from battery level or power adapter are enabled

usage: powerprofilesctl query-battery-aware [-h]

  powerprofilesctl launch
Launch a command while holding a power profile

usage: powerprofilesctl launch [-h] [--profile PROFILE] [--reason REASON]
                        [--appid APPID]
                        [arguments ...]

Launch the command while holding a power profile, either performance, or power-saver. By default, the profile hold is for the performance profile, but it might not be available on all systems. See the list command for a list of available profiles.

arguments:

    arguments
        Command to launch

options:

    --profile PROFILE, -p PROFILE
        Profile to use for launch command

    --reason REASON, -r REASON
        Reason to use for launch command

    --appid APPID, -i APPID
        AppId to use for launch command

  powerprofilesctl version
Print version information and exit

usage: powerprofilesctl version [-h]

COMMENTS
Use “powerprofilesctl COMMAND --help” to get detailed help for individual commands

AUTHOR
Bastien Nocera
Mario Limonciello

DISTRIBUTION
The latest version of power-profiles-daemon may be downloaded from https://gitlab.freedesktop.org/upower/power-profiles-daemon